<?php
/**
 *
 * @package RealEstateManager
 * @copyright 2012-2017 by Ordasoft
 * @author Andrey Kvasnevskiy - OrdaSoft (akbet@mail.ru); Rob de Cleen (rob@decleen.com);
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * Homepage: https://ordasoft.com/
 *
**/

/**
 * FileName: category.php
 * Date:July 2011
 * License: GNU General Public License
 * JOS Version #: 1.6.x
 * Development OrdaSoft(http://ordasoft.com)
 */
defined('_JEXEC') or die('Restricted access');

require_once ( JPATH_SITE.'/components/com_realestatemanager/functions.php' );

if (version_compare(JVERSION, "1.6.0", "ge") ){
    class JFormFieldAllhouselayout extends JFormField{
        protected $type = 'allhouselayout';
        protected function getInput(){
            $all_houses_layout = getLayoutsRem('com_realestatemanager','all_houses');
            $options = Array();
            $options[] = JHtml::_('select.option', '', 'Use Global');
            foreach($all_houses_layout as $value){
                $options[] = JHtml::_('select.option', "$value", "$value");
            }
            return  JHtml::_('select.genericlist', $options, $this->name, 'class="inputbox"', 'value', 'text', $this->value, $this->id);
        }
    }
} else {echo "Sanity test. Error version check!"; exit;}
